# UserIdentity | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- UserIdentity

## Index

### Properties

- created_at
- id
- identity_data
- last_sign_in_at
- provider
- updated_at
- user_id

## Properties

### created_at

created_at: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:29

### id

id: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:23

### identity_data

identity_data: {}

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:25

#### Type declaration

- ##### [key: string]: any

### last_sign_in_at

last_sign_in_at: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:30

### provider

provider: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:28

### Optional updated_at

updated_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:31

### user_id

user_id: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:24

Generated using TypeDoc